% MINLOGLIKE.m
% 
% Minimises - the log-likelihood in (LOGLIKE.M) for the data
% given by HISTORY(et). Uncomment line 9 or line 10.  


% clear all;
global Zobs;
% data;
load shocks;
[r_obs, ppi_obs, g_obs] = history(et);
Zobs(1,:) = r_obs ; Zobs(2,:)= ppi_obs; Zobs(3,:) = g_obs ;   


xtrue = [0.0017; 0.01; 0.0018; 0.0040; 0.7; 0.3; 0.1;
         0.05;  0.1;  0.85; 0.85; 0.005; 0.05; 1.0;
         0.8;   0.3;   0.0125];  
  
 
x0 = [0.1 
      0.1
      0.1
      0.1
      1.0
      1.0
      1.0
      1.0
      1.0
      0.5
      0.5
      0.00518951150381784
      0.0373422406901892
      1.0
      1.0
      1.0
      0.0373422406901892];   


%% Use FMINCON

% Add non-negativity constraints.

A =[];
b = [];
Aeq = [];
beq = [];
lb = zeros(17,1);
ub = [1; 1; 1; 1; 5; 5; 5; 5; 20; 0.9999; 0.9999; 0.2; 0.5; 5; 5; 5; 0.2]; 
% Unbounded
% ub = inf*ones(17,1); 

% options = optimset('Display','iter','TolFun',1e-2,'TolX',1e-4,'Algorithm','interior-point');
% Start with the default options
options = optimset;
% Modify options setting
options = optimset(options,'Display', 'off');
options = optimset(options,'TolFun', 1e-4);
options = optimset(options,'TolX',1e-4);
options = optimset(options,'PlotFcns', {  @optimplotfunccount @optimplotfval @optimplotstepsize @optimplotx});
options = optimset(options,'Algorithm', 'interior-point');
options = optimset(options,'Diagnostics', 'on');

[x, fval, exitflag] = fmincon(@loglike,x0,A,b,Aeq,beq,lb,ub,[],options);


